using System;

namespace Ekskurzija
{
    class Program
    {
        static void DaLiMoze(string[] red) 
        {
            int n = Convert.ToInt32(red[0]);
            int m = Convert.ToInt32(red[1]);
            int k = Convert.ToInt32(red[2]);
            int broj_bananica_po_grupi = m / k;
            bool moze = true;
            for (int i = 0; i < n / k; i++)
            {
                broj_bananica_po_grupi -= i + 1;
                if (broj_bananica_po_grupi < 0) moze = false;
            }
            if (moze) Console.WriteLine("Tak");
            else Console.WriteLine("Nie");
        }
        static void Main(string[] args)
        {
            int t = Convert.ToInt32(Console.ReadLine());
            string[] red;
            for (int i = 0; i < t; i++) 
            {
                red = Console.ReadLine().Split();
                DaLiMoze(red);
            }
        }
    }
}